EDIT - feature request #10343

Full implementation for showing IUCN "distribution"” data separately
06/02/2023 04:12 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description
copied from #10308 , this overlapps a lot or is a duplicate for #10422

In #10308 a first implementation for showing IUCN data handled in distribution data on the dataportal was implemented. This
included using the new taxon page DTO based webservices which separate "real" distribution data from IUCN "distribution” data.

Issues there:

e does not work for maps yet (if wanted we could provide a second map showing distribution information, needs discussion if this
is a requirement at all)

¢ does often not make sence for the long form area representations which do not include states or show them only via
hovering/tooltip. For these a separate representation is mostly redundant

Therefore the current implementation switched off hardcoded maps and long form area representation.

An advanced implementation may allow a second map and the creation of long form area representation for IUCN depending on
portal settings.

Also it is necessary to make it possible that both are switched on if no "real" distribution data exist but only [IUCN data. => According
to #10308 this is already implemented for long representations

Also one may think about merging the long form area represetation tooltip data showing the status information. This may include
"real" distribution status together with IUCN status in the same or a neighboring tooltip. However, this requires that the 2 status are
not displayed completely separate. E.g. we could have a common chapter. "Geographic information" which then shows 1 or 2 maps,
the condensed distribution strings with the according feature label and then a common long form representation with both information
merged.

This needs to be further discussed.

Also we need to think about possibilities for configuration. Best would be a configuration per feature as it exists for TextData and
others. Currently it is a hardcoded configuration only for "distribution". However, also the per feature implementation must take into
account that in some cases data from different features may be shown in a merged way or dependend on the existence of the other
data.

Related issues:

Related to EDIT - feature request #10327: IUCN condensed distribution configu... Closed
Related to EDIT - feature request #10310: Add IUCN status as feature Closed
Related to EDIT - feature request #10323: Preference for IUCN status list states In Progress
Related to EDIT - feature request #10422: Allow different base layers for dis... New
Copied from EDIT - task #10308: Show IUCN "distribution" data separately Closed
History

#1 - 06/02/2023 04:13 PM - Andreas Miiller
- Copied from task #10308: Show IUCN "distribution” data separately added

#2 - 06/02/2023 04:13 PM - Andreas Miiller
- Related to task #10237: Remove generation of SLD files on file system added

#3 - 06/02/2023 04:13 PM - Andreas Miuller
- Copied from deleted (task #10308: Show IUCN "distribution" data separately )

#4 - 06/02/2023 04:13 PM - Andreas Miiller
- Related to deleted (task #10237: Remove generation of SLD files on file system)

#5 - 06/02/2023 04:14 PM - Andreas Miiller
- Related to feature request #10327: IUCN condensed distribution configuration added

#6 - 06/02/2023 04:14 PM - Andreas Miiller
- Copied from task #10308: Show IUCN "distribution" data separately added

#8 - 06/02/2023 04:14 PM - Andreas Miiller
- Related to feature request #10310: Add IUCN status as feature added

#9 - 06/02/2023 04:15 PM - Andreas Miiller
- Related to feature request #10323: Preference for IUCN status list states added

#10 - 06/02/2023 04:25 PM - Andreas Miiller

- Description updated

#11 - 06/02/2023 04:25 PM - Andreas Miiller

- Tags changed from euro+med to euro+med, map

#12 - 10/25/2023 11:28 AM - Andreas Muller

- Description updated

#13 - 10/25/2023 11:28 AM - Andreas Muller

- Related to feature request #10422: Allow different base layers for distribution and occurrence maps added
